<?php
/**************************************************
  FSslideS - a fullscreen slideshow plugin for Coppermine using Flash
  *************************************************
  Copyright (c) 2007 Andreas Wehr <mail@makrograf.com>
***************************************************/

require('include/init.inc.php');
//require('include/functions.inc.php');
//config-variables as arrays
$colors;
$langs;
$interval;
if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);

if (file_exists("plugins/fsslides/lang/{$CONFIG['lang']}.php")) {
  require "plugins/fsslides/lang/{$CONFIG['lang']}.php";
} else require 'plugins/fsslides/lang/english.php';

//form-field for background color
function color_list(){
global $colors,$lang_fsslides;
$color_list_html="";
$color_list_html = <<<EOT
<label>{$lang_fsslides['color_list']}
    <select name="color">
EOT;
	
	foreach ($colors as $color => $active) {
			if ($active == 1){
			$color_list_html.='<option value="'.$color.'" selected="selected">'.$lang_fsslides[$color].'</option>';
			}
			else{
		 $color_list_html.='<option value="'.$color.'">'.$lang_fsslides[$color].'</option>';
			}
	}
	$color_list_html.='</select></label>';
	return $color_list_html;

}
//form-field for language
function lang_list(){
global $langs,$lang_fsslides;
$lang_list_html="";
$lang_list_html = <<<EOT
<label>{$lang_fsslides['lang_list']}
  <select name="lang">
EOT;
	
	foreach ($langs as $lang => $active) {
		if ($active == 1){
			$lang_list_html.='<option value="'.$lang.'" selected="selected">'.$lang_fsslides[$lang].'</option>';
		}
		else{
		 $lang_list_html.='<option value="'.$lang.'">'.$lang_fsslides[$lang].'</option>';
		}
	}
	$lang_list_html.='</select></label>';
	return $lang_list_html;

  
    
}

//form-field for slideshow interval
function slideinterval_list(){
global $interval,$lang_fsslides;
$slideinterval_list_html="";
$slideinterval_list_html = <<<EOT
<label>{$lang_fsslides['slide_interval']}
    		<select name="slideinterval">
EOT;
for ($i=0;$i<=10;$i++) {
			if ($i == $interval) {
				$slideinterval_list_html .= '<option value="'.$i.'" selected="selected">'.$i.'</option>';
			}
			else{
				$slideinterval_list_html .= '<option value="'.$i.'">'.$i.'</option>';
			}
		
}

$slideinterval_list_html .='</select></label>';
return $slideinterval_list_html;
  
}


function read_xml_config(){
//read config XML-File and parse paramters, this is "old" php4-style
//$xml_content;
global $colors, $langs, $interval;
if (file_exists('plugins/fsslides/bin/swf_config.xml')){
	$dom = domxml_open_file('plugins/fsslides/bin/swf_config.xml');
	
	//read languages
	
	foreach ($dom->get_elements_by_tagname('lang') as $element) {
				$lang_attr= $element->attributes();
				$lang=$lang_attr[0]->value;
				$active=$lang_attr[1]->value;
				$langs[$lang]=$active;
	}
	
	//read background-color
	foreach ($dom->get_elements_by_tagname('color') as $element) {
				$attr = $element->attributes();
				$color_name = $attr[0]->value;
				$active = $attr[1]->value;
				$colors[$color_name]=$active;
				
	}
	//read interval
	foreach ($dom->get_elements_by_tagname('slideshow') as $element){
				$attr = $element->attributes();
				$interval = $attr[0]->value;
	}

}//if file_exists
else{
	exit('Konnte Datei nicht laden');
}

}

function write_xml_config(){
//write config XML-File 
global $colors, $langs;
if (file_exists('plugins/fsslides/bin/swf_config.xml')){
	$dom = domxml_open_file('plugins/fsslides/bin/swf_config.xml');
	//read languages
	
	foreach ($dom->get_elements_by_tagname('lang') as $element) {
				$lang_attr= $element->attributes();
				$lang=$lang_attr[0]->value;
				if ($lang == $_POST["lang"]) {
					$element->set_attribute('active',"1");
				}
				else {
					$element->set_attribute('active',"0");
				}
	}
	
	//read background-color
	foreach ($dom->get_elements_by_tagname('color') as $element) {
				$attr = $element->attributes();
				$color = $attr[0]->value;
				if ($color == $_POST["color"]) {
					$element->set_attribute('active',1);
				}
				else{
					$element->set_attribute('active',0);
				}
				
		
			
	}
	//read interval
	foreach ($dom->get_elements_by_tagname('slideshow') as $element){
			$element->set_attribute('interval',$_POST["slideinterval"]);
	}

$xml_content = $dom->dump_mem(true);
$file = fopen('plugins/fsslides/bin/swf_config.xml',"w+");
fwrite($file,$xml_content);
fclose($file);
//$dom->dump_file(realpath('bin/swf_config.xml'),false,true);
}//if file_exists
else{
	exit('Konnte Datei nicht laden');
}

}
if (count($_POST) > 0) {
    if (isset($_POST['update_config'])) {
       pageheader("FSslideS");
				write_xml_config();
				msg_box('FSslideS', $lang_fsslides['config_done'], $lang_continue, 'index.php');
        
    }
    pagefooter();
    exit;
}

pageheader("FSslideS");
read_xml_config();
$color_form=color_list();
$lang_form=lang_list();
$slideinterval_form=slideinterval_list();
$signature = 'Coppermine Photo Gallery ' . COPPERMINE_VERSION . ' ('. COPPERMINE_VERSION_STATUS . ')';
//echo "<form action=\"$PHP_SELF\" method=\"post\">";
echo "<form action=\"".$_SERVER['PHP_SELF'].'?file=fsslides/fsslides_config'."\" method=\"post\">";
starttable('100%', "FSslideS - $signature", 2);
echo <<<EOT
<tr>
                        <td align="left" class="tablef">
                        <h2>  {$lang_fsslides['config_title']} </h2>
                        
                        </td>
                </tr>
                
                <tr>
 <td align="left" class="tablef">
  {$lang_form}
  </td>
  </tr>
  <tr>
  <td align="left" class="tablef"> 
  {$color_form}
    </td>
  </tr>
  <tr>
  <td align="left" class="tablef"> 
  {$slideinterval_form}
  </td>
  </tr>

EOT;
//print_r($lang_minicms_config);
//create_form($lang_minicms_config);

echo '</table></td></tr>';

echo <<<EOT
                <tr>
                        <td align="left" class="tablef">
                            <table border="0" cellspacing="0" cellpadding="0" width="100%">
                                <tr>
                                    <td width="67%" align="center">
                                        <input type="submit" class="button" name="update_config" value="{$lang_continue}" />
                                &nbsp;&nbsp;
                                    </td>
                                </tr>
                            </table>
                        </td>
                </tr>
EOT;
endtable();
echo '</form>';
pagefooter();
ob_end_flush();




?>
